Status: Closed Start date:  
Assignee: Go MAEDA % Done: 0%
Target version: 4.2.0   

Description

fixes

DEPRECATION WARNING: Class level methods will no longer inherit scoping from `visible` in Rails 6.

1.

 To continue using the scoped relation, pass it into the block directly. To instead access

 the full set of models, as Rails 6.1 will, use `GroupAnonymous.unscoped`, or `GroupAnonymous.defa

ult_scoped`

 if a model has default scopes. (called from block in project_ids_by_role at /redmine/app/models/u

ser.rb:638)

 (this change is backward compatible)

Related issues:

Related to Redmine - Feature #29914: Migrate to Rails 6.1 with Zeitwerk autol... Closed

Associated revisions

Revision 19490 - 2020-02-03 16:12 - Go MAEDA

Rails 6: Fix deprecation warning "Class level methods will no longer inherit scoping" (#32911).

Patch by Pavel Rosický.

History

#1 - 2020-01-29 08:24 - Marius BĂLTEANU

- Related to Feature #29914: Migrate to Rails 6.1 with Zeitwerk autoloading added

#2 - 2020-01-30 06:28 - Go MAEDA

- Category set to Rails support

- Target version set to 4.2.0

#3 - 2020-01-31 09:29 - Marius BĂLTEANU

Tests pass here: https://gitlab.com/redmine-org/redmine/pipelines/113171478

#4 - 2020-02-03 16:12 - Go MAEDA

- Subject changed from Rails 6: Class level methods will no longer inherit scoping to Rails 6: Fix deprecation warning "Class level methods will no

longer inherit scoping"

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the patch. Thank you.
